Folge 22 – Feature Manager durchsuchen III

In diesem Video werde ich euch eine weitere Methode zeigen, wie in einem Dokument der FeatureManager durchsucht werden kann. Dabei wir der Schwerpunkt auf den Baugruppen liegen.

Und an dieser Stelle der Code der im Makro vorhanden ist.

<pre class="wp-block-syntaxhighlighter-code">Option Explicit
Sub main()
    Dim swApp As SldWorks.SldWorks
    Set swApp = Application.SldWorks
    
    Dim swModel As ModelDoc2
    Set swModel = swApp.ActiveDoc
    If swModel Is Nothing Then
        swApp.SendMsgToUser2 "Keine Datei geöffnet.", swMessageBoxIcon_e.swMbStop, swMessageBoxBtn_e.swMbOk
        Exit Sub
    End If
    
    Dim swAssembly As AssemblyDoc
    Dim arrComponents As Variant
    If swModel.GetType = swDocumentTypes_e.swDocASSEMBLY Then
        Set swAssembly = swModel
        arrComponents = swAssembly.GetComponents(False)
    Else
        Exit Sub
    End If
    Dim component As Variant
    For Each component In arrComponents
        Dim swComponent As Component2
        Set swComponent = component
        Debug.Print swComponent.Name2
        Dim tempMD2 As ModelDoc2
        Set tempMD2 = swComponent.GetModelDoc2
        If tempMD2 Is Nothing Then
            Debug.Print "Kein ModelDoc2 gefunden."
        Else
            Debug.Print tempMD2.GetPathName
        End If
    Next
End Sub</pre>
Code-Sprache: VB.NET (vbnet)

Kommentare 2

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert